import prisma from '../database/dbclient';

async function checkPrismaConnection() {
    try {
        await prisma.$connect(); // Connects to the database
        console.log('Prisma connected successfully');
        
        // Optionally, perform a query to ensure it's fully functional
        // const users = await prisma.user.findMany();
        console.log('Fetched users:');
        
    } catch (error) {
        console.error('Error connecting to Prisma:', error);
    } finally {
        await prisma.$disconnect(); // Disconnects from the database
    }
}

checkPrismaConnection();
